--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Change a column's default value.
- !ruby/struct:SM::Flow::P 
  body: Make sure you are executing this method while in single-user mode (i.e. not running in client/server mode).
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*col_name*:"
    body: Symbol of column name.
  - !ruby/struct:SM::Flow::LI 
    label: "*value*:"
    body: New default value for column.
  type: :NOTE
full_name: KirbyBase::KBTable#change_column_default_value
is_singleton: false
name: change_column_default_value
params: (col_name, value)
visibility: public
